# OCaml-stk -- SDL-based GUI Toolkit for OCaml

[🌐 OCaml-stk homepage](https://zoggy.frama.io/ocaml-stk/)

OCaml-stk is a Graphical User Interfce toolkit for OCaml based on
[libSDL 2](https://www.libsdl.org/), through the
[Tsdl](https://erratique.ch/software/tsdl) bindings.

[Lwt](https://github.com/ocsigen/lwt) is used to provide pseudo-parallelism in event handling.

`Stk` is still in development but already provides
[various widgets](https://zoggy.frama.io/ocaml-stk/refdoc/stk/index.html#widgets).

The `Stk_iconv` library provides bindings to [GNU libiconv](https://www.gnu.org/software/libiconv),
to convert strings to and from UTF-8, which is the format of strings in OCaml-stk.

## Installation

The `stk` and `stk_iconv` packages are installable with opam:

```sh
opam install stk stk_iconv
```

Current state of OCaml-stk can be installed with:

```sh
$ opam pin add stk git@framagit.org:zoggy/ocaml-stk.git
$ opam pin add stk_iconv git@framagit.org:zoggy/ocaml-stk.git
```

