open Stk
open Stk.Misc

let () = Logs.set_reporter (Misc.lwt_reporter ())

class my_app () =
  object
    inherit Default_app.app ~w:800 ~h:600 "My app"
  end
let main () =
  let%lwt () = App.init () in
  let app = new my_app () in
  app#run
  
let () = Lwt_main.run (main ())